img-dted(3tk)

NAME
img-dted - Digital Terrain Elevation Data format (dted)

SYNOPSIS
package require img::dted ?2.1?

DESCRIPTION
package require img::dted

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Digital Terrain Elevation Data format (dted). More specifically img::dted extends Tk's photo [https://www.tcl.tk/man/tcl9.0/TkCmd/photo.html] image type.

The name of the new format handler is dted. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like image create photo ?name? ?options?

[1] Image data in dted format (options -data and -file) is detected automatically.

[2] The format name dted is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::dted is not loaded when doing a package require Img, but must be loaded explicitly via package require img::dted.

NOTES

[1] This format handler interprets DTED elevation files as grayscale images.

[2] This format handler only supports read functionality.

OPTIONS
The handler provides the following options:

-verbose bool
    Available since version 1.4.0.

    If set to true, additional information about the read data is printed to stdout. Default is false.

-min short
    Available since version 1.4.0.

    Specify the minimum pixel value to be used for mapping the input data to 8-bit image values. If not specified or negative, the minimum value found in the image data.

-max short
    Available since version 1.4.0.

    Specify the maximum pixel value to be used for mapping the input data to 8-bit image values. Default is the maximum value found in the elevation data. If not specified or negative, the maximum value found in the image data.

-gamma double
    Available since version 1.4.0.

    Specify a gamma correction to be applied when mapping the input data to 8-bit image values. Default is 1.0.

SEE ALSO
img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

COPYRIGHT
Copyright (c) 1995-2025 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright (c) 2002-2025 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright (c) 2003-2025 Paul Obermeier <obermeier@users.sourceforge.net>